{% extends '@DemosPlanCore/DemosPlanCore/procedure.html.twig' %}
{% block demosplanbundlecontent %}
    {% set depth = 0 %}
    <h1>{{ "elementimport"|trans }}</h1>
    <p>{{ "text.elementimport"|trans }}</p>
    <form action="{{ path('DemosPlan_element_administration', {'procedure':templateVars.procedure}) }}" method="post">
        <input type="hidden" name="action" value="importElements">

        <p class="weight--bold">
            {{ "confirm.elementimport.filecount"|trans({ imported: templateVars.importedFiles, total: templateVars.totalFiles }) }}
        </p>

        {% include "@DemosPlanCore/DemosPlanDocument/elements_admin_import_entry.html.twig" %}

        {% if hasPermission('feature_auto_switch_element_state') %}
            <dp-checkbox
                class="u-mt-0_75"
                id="r_publish_categories"
                checked
                :label="{ text: Translator.trans('element.state.publish') }"
                name="r_publish_categories">
            </dp-checkbox>
        {% endif %}

        <p class="hide-visually text-right">
            <img src="{{ asset('img/ajax-loader.gif') }}"> Uploadstatus: <span id="js_uploadProgressProcessed">0</span> von <span id="js_uploadProgressTotal">0</span>
        </p>
        <div class="text-right space-inline-s">
            <input
                class="btn btn--primary"
                data-cy="saveImport"
                type="submit"
                value="{{ "save"|trans }}">
            <a class="btn btn--secondary"
               href="{{ path('DemosPlan_element_administration', {'procedure':templateVars.procedure}) }}">
                {{ "abort"|trans }}
            </a>
        </div>
    </form>

{% endblock %}
{% block javascripts %}
    {{ parent() }}
    {{ webpackBundle('document-elementsAdminImport.js') }}
{% endblock javascripts %}
